Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.web
Enum AuthenticationFilter.AuthType

    java.lang.Object
      java.lang.Enum<AuthenticationFilter.AuthType>
          org.jboss.seam.web.AuthenticationFilter.AuthType

All Implemented Interfaces:
  Serializable, Comparable<AuthenticationFilter.AuthType>

Enclosing class:
  AuthenticationFilter

    public static enum AuthenticationFilter.AuthType

extends Enum<AuthenticationFilter.AuthType>

Enum Constant Summary
`basic`
`digest`

Method Summary
`static AuthenticationFilter.AuthType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AuthenticationFilter.AuthType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### basic

    public static final AuthenticationFilter.AuthType basic

### digest

    public static final AuthenticationFilter.AuthType digest

Method Detail

### values

    public static AuthenticationFilter.AuthType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AuthenticationFilter.AuthType c : AuthenticationFilter.AuthType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AuthenticationFilter.AuthType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.